# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'GroupTaskResult'
        db.create_table(u'osusers_grouptaskresult', (
            ('created', self.gf('model_utils.fields.AutoCreatedField')(default=datetime.datetime.now)),
            ('modified', self.gf('model_utils.fields.AutoLastModifiedField')(default=datetime.datetime.now)),
            ('task_uuid', self.gf('django.db.models.fields.CharField')(max_length=64, primary_key=True)),
            ('task_name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('is_finished', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('is_success', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('state', self.gf('django.db.models.fields.CharField')(max_length=10)),
            ('result_body', self.gf('django.db.models.fields.TextField')(blank=True)),
            ('group', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['osusers.Group'])),
        ))
        db.send_create_signal(u'osusers', ['GroupTaskResult'])

        # Adding model 'UserTaskResult'
        db.create_table(u'osusers_usertaskresult', (
            ('created', self.gf('model_utils.fields.AutoCreatedField')(default=datetime.datetime.now)),
            ('modified', self.gf('model_utils.fields.AutoLastModifiedField')(default=datetime.datetime.now)),
            ('task_uuid', self.gf('django.db.models.fields.CharField')(max_length=64, primary_key=True)),
            ('task_name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('is_finished', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('is_success', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('state', self.gf('django.db.models.fields.CharField')(max_length=10)),
            ('result_body', self.gf('django.db.models.fields.TextField')(blank=True)),
            ('user', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['osusers.User'])),
        ))
        db.send_create_signal(u'osusers', ['UserTaskResult'])

        # Adding model 'DeleteTaskResult'
        db.create_table(u'osusers_deletetaskresult', (
            ('created', self.gf('model_utils.fields.AutoCreatedField')(default=datetime.datetime.now)),
            ('modified', self.gf('model_utils.fields.AutoLastModifiedField')(default=datetime.datetime.now)),
            ('task_uuid', self.gf('django.db.models.fields.CharField')(max_length=64, primary_key=True)),
            ('task_name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('is_finished', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('is_success', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('state', self.gf('django.db.models.fields.CharField')(max_length=10)),
            ('result_body', self.gf('django.db.models.fields.TextField')(blank=True)),
            ('modeltype', self.gf('django.db.models.fields.CharField')(max_length=20, db_index=True)),
            ('modelname', self.gf('django.db.models.fields.CharField')(max_length=255)),
        ))
        db.send_create_signal(u'osusers', ['DeleteTaskResult'])


    def backwards(self, orm):
        # Deleting model 'GroupTaskResult'
        db.delete_table(u'osusers_grouptaskresult')

        # Deleting model 'UserTaskResult'
        db.delete_table(u'osusers_usertaskresult')

        # Deleting model 'DeleteTaskResult'
        db.delete_table(u'osusers_deletetaskresult')


    models = {
        u'osusers.additionalgroup': {
            'Meta': {'unique_together': "(('user', 'group'),)", 'object_name': 'AdditionalGroup'},
            'created': ('model_utils.fields.AutoCreatedField', [], {'default': 'datetime.datetime.now'}),
            'group': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['osusers.Group']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('model_utils.fields.AutoLastModifiedField', [], {'default': 'datetime.datetime.now'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['osusers.User']"})
        },
        u'osusers.deletetaskresult': {
            'Meta': {'object_name': 'DeleteTaskResult'},
            'created': ('model_utils.fields.AutoCreatedField', [], {'default': 'datetime.datetime.now'}),
            'is_finished': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_success': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'modelname': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'modeltype': ('django.db.models.fields.CharField', [], {'max_length': '20', 'db_index': 'True'}),
            'modified': ('model_utils.fields.AutoLastModifiedField', [], {'default': 'datetime.datetime.now'}),
            'result_body': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'state': ('django.db.models.fields.CharField', [], {'max_length': '10'}),
            'task_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'task_uuid': ('django.db.models.fields.CharField', [], {'max_length': '64', 'primary_key': 'True'})
        },
        u'osusers.group': {
            'Meta': {'object_name': 'Group'},
            'created': ('model_utils.fields.AutoCreatedField', [], {'default': 'datetime.datetime.now'}),
            'descr': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'gid': ('django.db.models.fields.PositiveSmallIntegerField', [], {'unique': 'True', 'primary_key': 'True'}),
            'groupname': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '16'}),
            'modified': ('model_utils.fields.AutoLastModifiedField', [], {'default': 'datetime.datetime.now'}),
            'passwd': ('django.db.models.fields.CharField', [], {'max_length': '128', 'blank': 'True'})
        },
        u'osusers.grouptaskresult': {
            'Meta': {'object_name': 'GroupTaskResult'},
            'created': ('model_utils.fields.AutoCreatedField', [], {'default': 'datetime.datetime.now'}),
            'group': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['osusers.Group']"}),
            'is_finished': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_success': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'modified': ('model_utils.fields.AutoLastModifiedField', [], {'default': 'datetime.datetime.now'}),
            'result_body': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'state': ('django.db.models.fields.CharField', [], {'max_length': '10'}),
            'task_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'task_uuid': ('django.db.models.fields.CharField', [], {'max_length': '64', 'primary_key': 'True'})
        },
        u'osusers.shadow': {
            'Meta': {'object_name': 'Shadow'},
            'changedays': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'created': ('model_utils.fields.AutoCreatedField', [], {'default': 'datetime.datetime.now'}),
            'expiredays': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
            'gracedays': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'inactdays': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'maxage': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'minage': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'modified': ('model_utils.fields.AutoLastModifiedField', [], {'default': 'datetime.datetime.now'}),
            'passwd': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['osusers.User']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'osusers.user': {
            'Meta': {'object_name': 'User'},
            'created': ('model_utils.fields.AutoCreatedField', [], {'default': 'datetime.datetime.now'}),
            'gecos': ('django.db.models.fields.CharField', [], {'max_length': '128', 'blank': 'True'}),
            'group': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['osusers.Group']"}),
            'homedir': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'modified': ('model_utils.fields.AutoLastModifiedField', [], {'default': 'datetime.datetime.now'}),
            'shell': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'uid': ('django.db.models.fields.PositiveSmallIntegerField', [], {'unique': 'True', 'primary_key': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '64'})
        },
        u'osusers.usertaskresult': {
            'Meta': {'object_name': 'UserTaskResult'},
            'created': ('model_utils.fields.AutoCreatedField', [], {'default': 'datetime.datetime.now'}),
            'is_finished': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_success': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'modified': ('model_utils.fields.AutoLastModifiedField', [], {'default': 'datetime.datetime.now'}),
            'result_body': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'state': ('django.db.models.fields.CharField', [], {'max_length': '10'}),
            'task_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'task_uuid': ('django.db.models.fields.CharField', [], {'max_length': '64', 'primary_key': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['osusers.User']"})
        }
    }

    complete_apps = ['osusers']